org.apache.maven.scm.provider.git.gitexe.command.tag

## Class GitTagCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.tag.AbstractTagCommand
    - - org.apache.maven.scm.provider.git.gitexe.command.tag.GitTagCommand

- All Implemented Interfaces:
    Command, GitCommand

      public class GitTagCommand
      extends AbstractTagCommand
      implements GitCommand

  Version:
    $Id: GitTagCommand.java 823147 2009-10-08 12:39:23Z struberg $
  Author:
    Mark Struberg

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GitTagCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.codehaus.plexus.util.cli.Commandline` | `createCommandLine(GitScmProviderRepository repository, File workingDirectory, String tag, File messageFile)`
    `static org.codehaus.plexus.util.cli.Commandline` | `createPushCommandLine(GitScmProviderRepository repository, ScmFileSet fileSet, String tag)`
    `ScmResult` | `executeTagCommand(ScmProviderRepository repo, ScmFileSet fileSet, String tag, ScmTagParameters scmTagParameters)`
    `ScmResult` | `executeTagCommand(ScmProviderRepository repo, ScmFileSet fileSet, String tag, String message)`

    - ### Methods inherited from class org.apache.maven.scm.command.tag.AbstractTagCommand

      `executeCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.maven.scm.command.Command

      `execute, getLogger, setLogger`

- - ### Constructor Detail

    - #### GitTagCommand

          public GitTagCommand()

  - ### Method Detail

    - #### executeTagCommand

          public ScmResult executeTagCommand(ScmProviderRepository repo,
                                    ScmFileSet fileSet,
                                    String tag,
                                    String message)
                                      throws ScmException

      Overrides:
        `executeTagCommand` in class `AbstractTagCommand`
      Returns:
      Throws:
        `ScmException`

    - #### executeTagCommand

          public ScmResult executeTagCommand(ScmProviderRepository repo,
                                    ScmFileSet fileSet,
                                    String tag,
                                    ScmTagParameters scmTagParameters)
                                      throws ScmException

      Specified by:
        `executeTagCommand` in class `AbstractTagCommand`
      Throws:
        `ScmException`

    - #### createCommandLine

          public static org.codehaus.plexus.util.cli.Commandline createCommandLine(GitScmProviderRepository repository,
                                                                   File workingDirectory,
                                                                   String tag,
                                                                   File messageFile)

    - #### createPushCommandLine

          public static org.codehaus.plexus.util.cli.Commandline createPushCommandLine(GitScmProviderRepository repository,
                                                                       ScmFileSet fileSet,
                                                                       String tag)
                                                                                throws ScmException

      Throws:
        `ScmException`

Copyright © 2003–2015. All rights reserved.